org.eclipse.emf.cdo.common.util

## Class CDOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CDOClassNotFoundException, CDODuplicateResourceException, CDOPackageNotFoundException, CDOResourceNodeNotFoundException, CDOUnitManager.UnitExistsException, CDOUnitManager.UnitNotFoundException, DanglingReferenceException, InvalidObjectException, InvalidURIException, LockTimeoutException, ObjectNotFoundException, ReadOnlyException, RepositoryNotFoundException, ServerException, StaleRevisionLockException, TransportException

      public class CDOException
      extends java.lang.RuntimeException

  An unchecked exception for general CDO purposes.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOException()`
    `CDOException(java.lang.String message)`
    `CDOException(java.lang.String message, java.lang.Throwable cause)`
    `CDOException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOException

          public CDOException()

    - #### CDOException

          public CDOException(java.lang.String message)

    - #### CDOException

          public CDOException(java.lang.Throwable cause)

    - #### CDOException

          public CDOException(java.lang.String message,
                              java.lang.Throwable cause)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html